part of 'chat_list_bloc.dart';

abstract class ChatListEvent {}

class ChatListInitEvent extends ChatListEvent {}

class LoadUserInfoConversationEvent extends ChatListEvent {
  final List usernames;

  LoadUserInfoConversationEvent(this.usernames);
}

class ChatUpdateListConversationEvent extends ChatListEvent {
  final List<ChatListConversation> conversations;

  ChatUpdateListConversationEvent(this.conversations);
}

class ChatListRemoveEvent extends ChatListEvent {
  final String conversationId;

  ChatListRemoveEvent(this.conversationId);
}

class ChatListReadItemEvent extends ChatListEvent {
  ChatListConversation? c;

  String? firebaseId;
  String? username;
  String? displayName;
  String? thumbnail;

  ChatListReadItemEvent({
    this.c,
    this.firebaseId,
    this.username,
    this.displayName,
    this.thumbnail,
  });
}

class ChatListDisposeEvent extends ChatListEvent {}
